% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/model.procmod.R
\name{.transformData}
\alias{.transformData}
\title{Transform raw data to be projected in an orthogonal space.}
\usage{
.transformData(x)
}
\arguments{
\item{x}{the table to transform}
}
\value{
a numeric matrix
}
\description{
The function follow two recepies according to the class of \code{x}.
If x is a distance objet or a \code{data.frame} with an attribute \code{is.dist}
set to \code{TRUE}, the matrice is projected using the \code{\link{ortho.dist}} method.
Otherwise, the data are just projected using a PCA.
}
\note{
Internal function, do not use.
}
\seealso{
\code{\link{ortho.dist}}

\code{\link{pca}}
}
\author{
Eric Coisaac <eric.coissac@metabarcoding.org>
}
